> For the complete documentation index, see [llms.txt](https://docs.zigpoll.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zigpoll.com/embed/poll-metadata.md).

# Survey Metadata

Metadata lets you save some additional information to your survey if you like.

For instance if your survey is on the checkout page you might want to save some additional information like "order\_number", "shipping\_address", "customer\_id", etc...

In order to do this, you will want to use the window\.Zigpoll.metadata JSON object. Simply fill it out with the additional information you want to send and place it on your page before the embed code loads. For example, see the code below:

```
    <script type="text/javascript">
      window.Zigpoll.metadata = {
        {
          order_number: ORDER_NUMBER,
          shipping_address: SHIPPING_ADDRESS,
          customer_id: CUSTOMER_ID
      };
    </script>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zigpoll.com/embed/poll-metadata.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
